using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;
using Dao;

namespace Service.Implement
{
    public class RoomTypeChannelsManager : GenericManagerBase<RoomTypeChannels>, IRoomTypeChannelsManager
    {
        public IList<RoomTypeChannels> LoadAllByPage(out long total, int page, int rows, string order, string sort, int roomTypeId)
		{
            return ((Dao.IRoomTypeChannelsRepository)(this.CurrentRepository)).LoadAllByPage(out total, page, rows, order, sort, roomTypeId).ToList();
		}

        public IList<RoomTypeChannels> LoadAll(int roomTypeId)
		{
			return CurrentRepository.LoadAll().Where(r => r.RoomType.ID == roomTypeId).ToList();
		}
    }
}
